<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.test-case-workspace.dialog.title.duplicate-action-words'
  "
  [dialogId]="'duplicate-action-word'"
>
  <sqtm-core-dialog-body>
    <div class="p-10">
      <p>
        {{
          'sqtm-core.test-case-workspace.dialog.message.duplicate-action-words'
            | translate
        }}
      </p>
      <nz-radio-group class="flex-column" [(ngModel)]="selectedActionWordId">
        @for (
          actionWord of configuration.duplicateActionWords;
          track actionWord
        ) {
          <div>
            <label nz-radio [nzValue]="actionWord.actionWordId">
              <span
                class="radio-text"
                [innerHTML]="actionWord.projectName"
              ></span>
            </label>
          </div>
        }
      </nz-radio-group>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="handleConfirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
